require 'spec_helper'

describe RailsDynamicErrors::Engine do
  # Regression test to ensure that the application's URL helpers are available
  # to the engine. This is necessary because the pages generated by the errors
  # controller within the engine use the application's layouts, and these may
  # contain URL helpers for the main application. By default the engine cannot
  # access these. We can't just use 'main_app.<url_helper>' in the layouts,
  # either, as that would break the layouts when used in the application.
  it "should have access to application helpers" do
    visit '/errors/url_helpers'
    page.should have_link('New Thing', :href => new_thing_path)
  end
end
